#include<bits/stdc++.h>
#define ll long long
using namespace std;

inline int read(){
	int x=0;char c=getchar();bool f=0;
	for(;!isdigit(c);c=getchar()) if(c=='-') f=1;
	for(;isdigit(c);c=getchar()) x=(x<<1)+(x<<3)+(c^48);
	if(f) x=-x;return x;
}



int main()
{
	
	return 0;
}